//
//  HWStatus.h
//  AFHandbrakeWrapper
//
//  Created by Scott on 3/29/09.
//  Copyright 2009 The Little App Factory. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface HWStatus: NSObject {
	
	// private data members
	long		 frame;
	double		 q;
	NSString	*size;
	double		 time;
	NSString	*bitRate;
	long		 dup;
	long		 drop;
	float		 completionPercent;
}

// method members
- (id)initWithDictionary:(NSDictionary *)dictionary andDuration:(long)duration;

// accessor methods
- (long)frame;
- (double)q;
- (NSString *)size;
- (double)time;
- (NSString *)bitRate;
- (long)dup;
- (long)drop;
- (float)completionPercent;

@end
