//
//  AFRegisterWindowController.h
//  AFRegistration
//
//  Created by Scott on 9/30/09.
//  Copyright 2009 The Little App Factory Pty, Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AFRegisterWindowController : NSWindowController <NSWindowDelegate> {

	NSView						*currentView;

	IBOutlet NSView				*entryView;
	IBOutlet NSView				*detailsView;
	IBOutlet NSTextField		*nameField;
	IBOutlet NSTextField		*nameLabel;
	IBOutlet NSTextField		*serialField;
	IBOutlet NSTextField		*serialLabel;
	IBOutlet NSButton			*closeButton;	
	IBOutlet NSButton			*buyButton;	
	IBOutlet NSButton			*activateButton;	
	IBOutlet NSButton			*deactiveButton;
	
}

- (IBAction)closeWindow:(id)sender;
- (IBAction)buyLicense:(id)sender;
- (IBAction)activateLicense:(id)sender;
- (IBAction)deactivateLicense:(id)sender;

@end
