/*
 *  FixConstants.h
 *  AFRipEngine
 *
 *  Created by Scott on 12/28/09.
 *  Copyright 2009 The Little App Factory Pty, Ltd. All rights reserved.
 *
 */

//#define		MINIMUM_PERCENT_COPIED				40
#define		MINIMUM_PERCENT_COPIED				10


// flag that extends the number of times a call can execute from 5 to 90
// nsv, added 10-24-11 related to debugging Thor
// note: fix infinite menu got enabled? check github history to verify
#define		PROLONGED_CELL_EXECUTION_COUNT			10
#define		ENABLE_DISC_PATCHING_TITLE_FILTER
#define		ENABLE_FIX_INFINITE_MENU



//#define		DEBUG
//#define		DEBUG_STATE
//#define		DEBUG_VM
//#define		DEBUG_JUMPS
//#define		DEBUG_IFO
//#define		DEBUG_COMPRESS


// flags for rip engine configuration
#ifndef DEBUG_VM
#define		ENABLE_BRANCH_LANGUAGE
#define		ENABLE_BRANCH_REGION
#define		ENABLE_BRANCH_DISPLAY_FORMAT
#endif


// just fixed this......
#define		ENABLE_IFO_VMGM_LU_PRESERVE_ORIGINAL_EXISTS
#define		ENABLE_IFO_CLEAN_UNEXECUTED_PGC
#define		ENABLE_IFO_CLEAN_UNEXECUTED_PGC_INCLUDE_ALL_CHAINS
#define		ENABLE_IFO_CLEAN_UNEXECUTED_PGC_INCLUDE_ALL_COMMANDS
#define		ENABLE_IFO_PGC_PROGRAM_MAP_WORD_BOUNDARY

// ifo - titles
#undef		ENABLE_REMOVE_TITLES_USING_SMALLEST_TITLE
#undef		ENABLE_REMOVE_TITLES_USING_FIRST_TITLE
#undef		ENABLE_REMOVE_TITLES_PLAYBACK_FLAG_MODIFICATIONS

// ifo - time maps
#define		ENABLE_IFO_CLEAN_TIME_MAP
#undef		DISABLE_IFO_TIME_MAP_PARSING

// ifo - cell addresses
#undef		ENABLE_IFO_CELL_ADDRESS_RESET_NO_VOBU_ADDRESSES
#define		ENABLE_IFO_CELL_ADDRESS_REMOVE_ON_INVALID_VOB_ID

// ifo - vobu address maps
#define		ENABLE_IFO_VOBU_ADDRESS_MENU_CLEAN_MISSING
#define		ENABLE_IFO_VOBU_ADDRESS_CLEAN_MISSING

// ifo - program chains
#define		ENABLE_IFO_CLEAN_PGC_PRESERVE_UNEXECUTED
#define		ENABLE_IFO_CLEAN_CELL_PLAYBACK
#define		ENABLE_IFO_CLEAN_CELL_PLAYBACK_TIME

// udf fixes
#define		FIX_IGNORE_KEY_NOT_FOUND
#define		MAX_ERROR_COUNT_PER_BLOCK			200

// compress related
#define		COMPRESS_TITLE_RESET_SECTOR_SIZE	50000
#define		COMPRESS_MINIMUM_MENU_SCAN_SECONDS	90



#define		ENABLE_BRANCH_COMMANDS_BUTTONS
#define		ENABLE_BUTTON_RESUME
#define		ENABLE_BUTTON_TITLE_MENU_CALL
#define		ENABLE_BUTTON_ROOT_MENU_CALL
#define		ENABLE_BUTTON_SUBPIC_MENU_CALL
#define		ENABLE_BUTTON_AUDIO_MENU_CALL
#define		ENABLE_BUTTON_ANGLE_MENU_CALL
#define		ENABLE_BUTTON_CHAPTER_MENU_CALL
#define		ENABLE_BUTTON_GO_UP
#define		ENABLE_BUTTON_ARROWS


// changed from 7 to 9, for With Paris With Love
#define		SMALL_BUTTON_MAX_WIDTH				9
#define		SMALL_BUTTON_MAX_HEIGHT				9

// flags for enabling fixes/changes
#define		ENABLE_FIX_OVERLAPPING_CELL_PLAYBACK_RECORDS
#define		ENABLE_FIX_ENTRY_PGC_MULTIPLE_CELL_COMMANDS
#define		ENABLE_FIX_ENTRY_PGC_MULTIPLE_CELL_COMMANDS_REDUCE
#define		ENABLE_FIX_DISABLE_JUMPSS_RESUME
#define		ENABLE_BLOCK_MENU_WITHOUT_VIDEO
#define     ENABLE_FORCE_ACTIVATED_BUTTON_LINK_DETECTION
#define		ENABLE_FORCE_ACTIVATED_BUTTON_REEXECUTE
#define		ENABLE_BLOCK_SMALL_BUTTONS_ON_SHORT_CELL
#define		ENABLE_BLOCK_SMALL_BUTTONS_ON_SHORT_CELL_COMPLETELY
#define		ENABLE_FIX_NULL_VTSI
#define		ENABLE_FIX_ALLOW_FORCE_BUTTON_BYPASS_SHORT_CELL
#define		ENABLE_FIX_LIMIT_INSTRUCTION_EXECUTION_COUNT			300
#define		ENABLE_FIX_SMALL_CELLS_CAN_BE_TOO_SHORT

// twilight (2/15/11)
#define		ENABLE_FIX_DISABLE_OTHER_BUTTONS_WHEN_FORCED_BUTTON	

// disc patch related 
#define		ENABLE_DISC_PATCHING


#define		ENABLE_FIX_NO_SELECT_WHEN_CELL_TOO_SHORT
#define		ENABLE_IFO_PGC_LEAVE_PGC_LANGUAGE_TABLE_NULL
#define		ENABLE_FIX_CORRECT_SECTORS_READ_IN_BITMAP





