//
//  ENTaskStatusProtocol.h
//  AFHandbrakeWrapper
//
//  Created by Scott on 4/5/09.
//  Copyright 2009 The Little App Factory. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@protocol HWTaskStatusProtocol

- (void)statusStarted:(id)sender;
- (void)statusStopped:(id)sender didComplete:(BOOL)completed;
- (void)statusUpdated:(id)sender withPercent:(float)percent stepCount:(int)count stepIndex:(int)index object:(id)object;
- (void)statusFailed:(id)sender withError:(NSError *)error;

@end
