//
//  AFMailingListWindowController.h
//  AFRegistration
//
//  Created by Duncan Campbell on 1/07/10.
//  Copyright 2010 The Little App Factory Pty. Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AFMailingListWindowController : NSWindowController 
{
  IBOutlet NSImageView *applicationIcon;
  IBOutlet NSTextField *welcomeMessage;
  IBOutlet NSTextField *signupTitle;
  IBOutlet NSTextView *signupMessage;
  IBOutlet NSTextField *signupEmailAddress;
  
  NSString *mailingListUrl;
  NSString *applicationName;
  NSString *applicationVersion;
  NSString *applicationIconName;
}

@property (retain) NSString *mailingListUrl;
@property (retain) NSString *applicationName;
@property (retain) NSString *applicationVersion;
@property (retain) NSString *applicationIconName;

- (IBAction)joinClicked:(id)sender;
- (IBAction)cancelClicked:(id)sender;

@end
