//
//  AFRegistrationWindowController.h
//  AFRegistration
//
//  Created by Scott on 4/23/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AFRegistrationWindowController : NSWindowController {

	NSView						*currentView;
	
	IBOutlet NSView				*registrationView;
	IBOutlet NSTextField		*appNameTextField;
	IBOutlet NSTextField		*appNameSecondaryTextField;
	IBOutlet NSTextField		*remainingTextField;
	IBOutlet NSTextField		*nameTextField;
	IBOutlet NSTextField		*serialTextField;
	IBOutlet NSTextField		*expirationDateField;
	IBOutlet NSView				*trialView;
	IBOutlet NSView				*betaView;
	IBOutlet NSView				*betaExpiredView;
	IBOutlet NSView				*thankYouView;
	NSString					*remainingText;
	
	NSString					*purchaseUrl;
	NSString					*applicationName;
	NSDate						*expirationDate;
	
	IBOutlet NSButton		*lostSerialLink;
}

- (IBAction)lostSerialClick:(id)sender;

- (void)showTrial;
- (void)showRegistration;
- (void)showThankYou;
- (void)showBeta;
- (void)showBetaExpired;

- (IBAction)backButtonClicked:(id)sender;
- (IBAction)purchaseButtonClicked:(id)sender;
- (IBAction)registerButtonClicked:(id)sender;
- (IBAction)activateButtonClicked:(id)sender;
- (IBAction)closeButtonClicked:(id)sender;
- (IBAction)update:(id)sender;
- (IBAction)hideBetaWindow:(id)sender;

- (NSString *)purchaseUrl;
- (void)setPurchaseUrl:(NSString *)purchaseUrlValue;
- (NSString *)applicationName;
- (void)setApplicationName:(NSString *)applicationNameValue;
- (NSString *)remainingText;
- (void)setRemainingText:(NSString *)remainingTextValue;
- (void)setExpirationDate:(NSDate *)date;

@end
