//
//  DKDVDStructureTitle.h
//  AFRipEngine
//
//  Created by Scott on 10/13/09.
//  Copyright 2009 The Little App Factory Pty, Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface DKDVDStructureTitle : NSObject {

	int					titleIndex;
	int					vtsIndex;
	int					originalVTSIndex;
	long				durationSecondsScan;
	long				durationSecondsIFO;
	long				lengthInSectors;
	long				lengthInSectorsRipped;
	int					selectedAudioStream;
	int					selectedSubtitleStream;
	int					cellCount;
	BOOL				leftFlag;
	BOOL				completed;
	NSMutableArray*		audioAttributes;
	NSMutableArray*		subpictureAttributes;
	
}

@property (assign) int titleIndex;
@property (assign) int vtsIndex;
@property (assign) int originalVTSIndex;
@property (assign) long durationSecondsScan;
@property (assign) long durationSecondsIFO;
@property (assign) long lengthInSectors;
@property (assign) long lengthInSectorsRipped;
@property (assign) int selectedAudioStream;
@property (assign) int selectedSubtitleStream;
@property (assign) int cellCount;
@property (assign) BOOL leftFlag;
@property (assign) BOOL completed;
@property (retain, nonatomic) NSMutableArray* audioAttributes;
@property (retain, nonatomic) NSMutableArray* subpictureAttributes;

-(long)durationSeconds;
-(NSString*)durationString;


@end
