//
//  DKDVDStructureTitleSet.h
//  AFRipEngine
//
//  Created by Scott on 3/7/10.
//  Copyright 2010 The Little App Factory Pty, Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DVDKit.h"


@interface DKDVDStructureTitleSet : NSObject {

	int							 index;
	int							 vtsIndex;
	int							 originalVTSIndex;
	uint64_t					 lengthInSectors;
	uint64_t					 lengthInSeconds;
	DKTitleSetInformation		*information;
	
}

@property (assign) int index;
@property (assign) int vtsIndex;
@property (assign) int originalVTSIndex;
@property (assign) uint64_t lengthInSectors;
@property (assign) uint64_t lengthInSeconds;
@property (retain) DKTitleSetInformation *information;

@end
