//
//  DKTimeMapInformation.h
//  AFRipEngine
//
//  Created by Scott on 1/17/10.
//  Copyright 2010 The Little App Factory Pty, Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface DKTimeMapInformation : NSObject 
{

	NSData					*sourceData;
	NSMutableArray			*timeMapsArray;

}

- (id) initWithData:(NSData*)data;
- (id) initWithBlankData:(int)programChainCount;
- (NSData*) saveAsData;
- (NSData*) makeBlankTimeMapEntry;
- (void)clearEntry:(int)index;

@end
