//
//  RIDiscPatchBuilder.h
//  AFRipEngine
//
//  Created by Scott on 1/11/10.
//  Copyright 2010 The Little App Factory Pty, Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "RIBranch.h"
#import "RIDiscPatch.h"


#define	RIDISCPATCH_BUILDER_MAX_BRANCHES	200


@interface RIDiscPatchBuilder : NSObject {

	int				 filterBranchCount;
	RIBranch		 filterBranchArray[RIDISCPATCH_BUILDER_MAX_BRANCHES];
	RIDiscPatch		*discPatch;

}


@property (readonly) int filterBranchCount;
@property (readonly) RIBranch *filterBranchArray;
@property (readonly, retain) RIDiscPatch *discPatch;


-(void)clear;
-(void)addFilterBranch:(RIBranch)_branch;


@end
