#import <Cocoa/Cocoa.h>

@interface RIProgramChainData : NSObject {
    NSMutableArray* preCommands;
    NSMutableArray* cellCommands;
    NSMutableArray* postCommands;
    
    CFMutableBitVectorRef preCommandBitmap;
    CFMutableBitVectorRef cellCommandBitmap;
    CFMutableBitVectorRef postCommandBitmap;
}

@property (retain) NSMutableArray* preCommands;
@property (retain) NSMutableArray* cellCommands;
@property (retain) NSMutableArray* postCommands;

@property (assign) CFMutableBitVectorRef preCommandBitmap;
@property (assign) CFMutableBitVectorRef cellCommandBitmap;
@property (assign) CFMutableBitVectorRef postCommandBitmap;

@end
